import * as VTable from '@visactor/vtable';
import type { TooltipProps } from '../components/component/tooltip';
import type { MenuProps } from '../components/component/menu';
export declare function flattenVNodes(vnodes: any[]): any[];
export declare function toCamelCase(str: string): string;
export declare function convertPropsToCamelCase(props: Record<string, any>): Record<string, any>;
export declare function createCustomLayout(children: any): any;
export declare function extractPivotSlotOptions(vnodes: any[]): {
    columns: VTable.TYPES.ColumnDefine[];
    columnHeaderTitle: VTable.TYPES.ITitleDefine[];
    rows: VTable.TYPES.IDimension[];
    rowHeaderTitle: VTable.TYPES.ITitleDefine[];
    indicators: VTable.TYPES.IIndicator[];
    corner: VTable.TYPES.ICornerDefine;
    tooltip: TooltipProps;
    menu: MenuProps;
};
export declare function extractListSlotOptions(vnodes: any[]): {
    columns: VTable.TYPES.ColumnDefine[];
    tooltip: TooltipProps;
    menu: MenuProps;
};
